Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 21:27:56 +0300

> Date: Sun, 14 Aug 2022 21:14:00 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> The implementation of the idea that Gregory mentioned (font locking 
> reasonably accurate even when it doesn't have access to the whole 
> buffer) will have to be done in Lisp anyway. So that's where the 
> narrowing should be applied too.

I don't see how it follows.  If we decide (and I don't say we did, but
if we do) that fontification-functions must run narrowed, then they
will run narrowed, and the best place to do that is in the caller.

> Does that parse?

Yes, it's clear now, thanks.